#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_BN7R(void)
{
#if (PRO_BN7R)
    SetTelltalePos("ABS",             ABS);
    SetTelltalePos("AirBag",          AirBag);
    SetTelltalePos("AutoHoldYellow",  AutoHoldYellow);
    SetTelltalePos("AutoHoldGreen",   AutoHoldGreen);
    SetTelltalePos("AutoHoldWhite",   AutoHoldWhite);
    SetTelltalePos("BatteryCharge",   BatteryCharge);
    SetTelltalePos("CheckEngine",     CheckEngine);
    SetTelltalePos("DAW Blink",       DAW_Blink);
    SetTelltalePos("DpfGpf",          DpfGpf);
    //SetTelltalePos("Ecall",           Ecall);
    SetTelltalePos("EPB",             EPB);  
    SetTelltalePos("ESC",             ESC);
    SetTelltalePos("EscOff",          EscOff);

    SetTelltalePos("FcaYellow",       FcaYellow);
    SetTelltalePos("FcaRedBlink",     FcaRed);
    SetTelltalePos("FrontFog",        FrontFog);
    SetTelltalePos("HBAGreen",        HBAGreen);
    SetTelltalePos("HBAWhite",        HBAWhite);
    
    SetTelltalePos("HighBeam",        HighBeam);
    SetTelltalePos("Immobilizer",     Immobilizer);

//    SetTelltalePos("IsgGreen",        IsgGreen);
//    SetTelltalePos("IsgYellow",       IsgYellow);
//    SetTelltalePos("IsgWhite",        IsgWhite);
    SetTelltalePos("ISLA",            ISLA);

    SetTelltalePos("LdwLkaGray",      LdwLkaGray);
    SetTelltalePos("LdwLkaGreen",     LdwLkaGreen);
    SetTelltalePos("LdwLkaYellow",    LdwLkaYellow);
    SetTelltalePos("LedLampFail",     LedLampFail);
    
    SetTelltalePos("LfaHdaGray",      LfaHdaGray);
    SetTelltalePos("LfaHdaGreen",     LfaHdaGreen);
    SetTelltalePos("LfaHdaWhite",     LfaHdaWhite);
    
    SetTelltalePos("LowBeam",         LowBeam);
    
    SetTelltalePos("MasterSymbol",    MasterSymbol);
    SetTelltalePos("Mdps",            Mdps);

    SetTelltalePos("OilPressure",     OilPressure);
    SetTelltalePos("ParkingBreak",    ParkingBreak);
    SetTelltalePos("RearFog",         RearFog);

    SetTelltalePos("SeatBelt",        SeatBelt);   
    SetTelltalePos("TailLamp",        TailLamp);    
    SetTelltalePos("Tpms",            Tpms);    
    SetTelltalePos("LeftTurn",        LeftTurn);
    SetTelltalePos("RightTurn",       RightTurn);
    SetTelltalePos("IceWarning",      IceWarning);
    
    SetTelltalePos("LowFuel",         DMS_RestoreDefault);
    
    SetTelltalePos("",             DMS_Led_Low);
    SetTelltalePos("",             DMS_Led_Low);
    SetTelltalePos("",             DMS_Led_Low);
#endif

}


